This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1253966 - pyanaconda.bootloader.BootLoaderError: failed to write boot loader configuration
pyanaconda.bootloader.BootLoaderError: failed to write boot loader configuration
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
abrt_hash:57d8e4dab15ac196ef05f11f5a8...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-16 01:38 EDT by Dumindu
Modified: 2016-02-24 05:28 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-17 14:38:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (1.83 MB, text/plain)
2015-08-16 01:39 EDT, Dumindu
no flags Details
File: anaconda.log (90.05 KB, text/plain)
2015-08-16 01:39 EDT, Dumindu
no flags Details
File: environ (649 bytes, text/plain)
2015-08-16 01:39 EDT, Dumindu
no flags Details
File: journalctl (814.40 KB, text/plain)
2015-08-16 01:39 EDT, Dumindu
no flags Details
File: lsblk_output (4.46 KB, text/plain)
2015-08-16 01:39 EDT, Dumindu
no flags Details
File: nmcli_dev_list (2.21 KB, text/plain)
2015-08-16 01:39 EDT, Dumindu
no flags Details
File: os_info (518 bytes, text/plain)
2015-08-16 01:39 EDT, Dumindu
no flags Details
File: program.log (326.82 KB, text/plain)
2015-08-16 01:39 EDT, Dumindu
no flags Details
File: storage.log (532.63 KB, text/plain)
2015-08-16 01:40 EDT, Dumindu
no flags Details
File: ifcfg.log (4.07 KB, text/plain)
2015-08-16 01:40 EDT, Dumindu
no flags Details
File: packaging.log (143 bytes, text/plain)
2015-08-16 01:40 EDT, Dumindu
no flags Details

  None (edit)
Description Dumindu 2015-08-16 01:38:23 EDT
Description of problem:
Installing boot loader/ dual boot win 10/ fedora 23. check partition table 

Version-Release number of selected component:
anaconda-core-23.19-1.fc23.x86_64

The following was filed automatically by anaconda:
anaconda 23.19-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python3.4/site-packages/pyanaconda/bootloader.py", line 1579, in write_config
    raise BootLoaderError("failed to write boot loader configuration")
  File "/usr/lib64/python3.4/site-packages/pyanaconda/bootloader.py", line 1626, in write
    self.write_config()
  File "/usr/lib64/python3.4/site-packages/pyanaconda/bootloader.py", line 2375, in writeBootLoaderFinal
    storage.bootloader.write()
  File "/usr/lib64/python3.4/site-packages/pyanaconda/bootloader.py", line 2453, in writeBootLoader
    writeBootLoaderFinal(storage, payload, instClass, ksdata)
  File "/usr/lib64/python3.4/site-packages/pyanaconda/install.py", line 241, in doInstall
    writeBootLoader(storage, payload, instClass, ksdata)
  File "/usr/lib64/python3.4/threading.py", line 868, in run
    self._target(*self._args, **self._kwargs)
  File "/usr/lib64/python3.4/site-packages/pyanaconda/threads.py", line 253, in run
    threading.Thread.run(self, *args, **kwargs)
pyanaconda.bootloader.BootLoaderError: failed to write boot loader configuration

Additional info:
cmdline:        /usr/bin/python3  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=vmlinuz0 initrd=initrd0.img root=live:CDLABEL=Fedora-Live-WS-x86_64-23_A-2 rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.2.0-0.rc5.git0.2.fc23.x86_64
other involved packages: python3-libs-3.4.3-5.fc23.x86_64
product:        Fedora
release:        Fedora release 23 (Twenty Three)
type:           anaconda
version:        23
Comment 1 Dumindu 2015-08-16 01:39:15 EDT
Created attachment 1063459 [details]
File: anaconda-tb
Comment 2 Dumindu 2015-08-16 01:39:19 EDT
Created attachment 1063460 [details]
File: anaconda.log
Comment 3 Dumindu 2015-08-16 01:39:21 EDT
Created attachment 1063461 [details]
File: environ
Comment 4 Dumindu 2015-08-16 01:39:45 EDT
Created attachment 1063462 [details]
File: journalctl
Comment 5 Dumindu 2015-08-16 01:39:46 EDT
Created attachment 1063463 [details]
File: lsblk_output
Comment 6 Dumindu 2015-08-16 01:39:48 EDT
Created attachment 1063464 [details]
File: nmcli_dev_list
Comment 7 Dumindu 2015-08-16 01:39:49 EDT
Created attachment 1063465 [details]
File: os_info
Comment 8 Dumindu 2015-08-16 01:39:59 EDT
Created attachment 1063466 [details]
File: program.log
Comment 9 Dumindu 2015-08-16 01:40:15 EDT
Created attachment 1063467 [details]
File: storage.log
Comment 10 Dumindu 2015-08-16 01:40:17 EDT
Created attachment 1063468 [details]
File: ifcfg.log
Comment 11 Dumindu 2015-08-16 01:40:18 EDT
Created attachment 1063469 [details]
File: packaging.log
Comment 12 Dumindu 2015-08-16 01:42:51 EDT
Another user experienced a similar problem:

installing boot loader. win 10 fedora 23 dual boot. Please check the partition table

cmdline:        /usr/bin/python3  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=vmlinuz0 initrd=initrd0.img root=live:CDLABEL=Fedora-Live-WS-x86_64-23_A-2 rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0 
hashmarkername: anaconda
kernel:         4.2.0-0.rc5.git0.2.fc23.x86_64
other involved packages: python3-libs-3.4.3-5.fc23.x86_64
package:        anaconda-core-23.19-1.fc23.x86_64
product:        Fedora
reason:         pyanaconda.bootloader.BootLoaderError: failed to write boot loader configuration
release:        Fedora release 23 (Twenty Three)
version:        23
Comment 13 Dumindu 2015-08-16 01:44:18 EDT
Another user experienced a similar problem:

installing boot loader. win 10 fedora 23 dual boot

cmdline:        /usr/bin/python3  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=vmlinuz0 initrd=initrd0.img root=live:CDLABEL=Fedora-Live-WS-x86_64-23_A-2 rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0 
hashmarkername: anaconda
kernel:         4.2.0-0.rc5.git0.2.fc23.x86_64
other involved packages: python3-libs-3.4.3-5.fc23.x86_64
package:        anaconda-core-23.19-1.fc23.x86_64
product:        Fedora
reason:         pyanaconda.bootloader.BootLoaderError: failed to write boot loader configuration
release:        Fedora release 23 (Twenty Three)
version:        23
Comment 14 David Shea 2015-08-17 14:38:29 EDT
This appears to be a hardware error. There is a squashfs read error soon after the system starts, and things only get worse from there. The installation media is effectively unreadable, which likely means either there was an error writing the media or a problem with the underlying hardware.

From the syslog, here's the first one:

Aug 16 07:49:51 dhcppc0 kernel: SQUASHFS error: xz decompression failed, data probably corrupt
Aug 16 07:49:51 dhcppc0 kernel: SQUASHFS error: squashfs_read_data failed to read block 0x39b486a4
Aug 16 07:49:51 dhcppc0 kernel: SQUASHFS error: Unable to read data cache entry [39b486a4]
Aug 16 07:49:51 dhcppc0 kernel: SQUASHFS error: Unable to read page, block 39b486a4, size b0a8
Aug 16 07:49:51 dhcppc0 kernel: SQUASHFS error: xz decompression failed, data probably corrupt
Aug 16 07:49:51 dhcppc0 kernel: SQUASHFS error: squashfs_read_data failed to read block 0x39b486a4
Aug 16 07:49:51 dhcppc0 kernel: SQUASHFS error: Unable to read data cache entry [39b486a4]
Aug 16 07:49:51 dhcppc0 kernel: SQUASHFS error: Unable to read page, block 39b486a4, size b0a8
Aug 16 07:49:51 dhcppc0 kernel: blk_update_request: I/O error, dev loop3, sector 9055872
Aug 16 07:49:51 dhcppc0 kernel: SQUASHFS error: xz decompression failed, data probably corrupt
Aug 16 07:49:51 dhcppc0 kernel: SQUASHFS error: squashfs_read_data failed to read block 0x39b486a4
Aug 16 07:49:51 dhcppc0 kernel: SQUASHFS error: Unable to read data cache entry [39b486a4]
Aug 16 07:49:51 dhcppc0 kernel: SQUASHFS error: Unable to read page, block 39b486a4, size b0a8
Aug 16 07:49:51 dhcppc0 kernel: blk_update_request: I/O error, dev loop3, sector 9055872
Aug 16 07:49:51 dhcppc0 nm-dispatcher[1606]: /etc/dhcp/dhclient.d/chrony.sh: line 6: /bin/rm: Input/output error
Comment 15 John Dulaney 2015-10-29 20:38:48 EDT
Another user experienced a similar problem:

Installing to iSCSI target with 2GB local media, encrypted filesystem, many segfaults in dmesg (libc)

addons:         com_redhat_kdump
cmdline:        /usr/bin/python3  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=vmlinuz initrd=initrd.img inst.stage2=hd:LABEL=Fedora-S-23-x86_64 quiet
hashmarkername: anaconda
kernel:         4.2.3-300.fc23.x86_64
package:        anaconda-23.19.10-1
product:        Fedora
reason:         pyanaconda.bootloader.BootLoaderError: failed to write boot loader configuration
release:        Cannot get release name.
version:        23
Comment 16 Lars Nielsen 2015-11-07 16:29:02 EST
Another user experienced a similar problem:

Installation to macbook pro
Installation alongside mac os x
Select manual partioning
Select encryption
Select btrfs
Select automatic layout

cmdline:        /usr/bin/python3  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=/isolinux/vmlinuz0 root=live:LABEL=Fedora-Live-WS-x86_64-23-10 ro rd.live.image quiet rhgb
hashmarkername: anaconda
kernel:         4.2.3-300.fc23.x86_64
other involved packages: python3-libs-3.4.3-5.fc23.x86_64
package:        anaconda-core-23.19.10-1.fc23.x86_64
product:        Fedora
reason:         pyanaconda.bootloader.BootLoaderError: failed to write boot loader configuration
release:        Fedora release 23 (Twenty Three)
version:        23
Comment 17 Lars Nielsen 2015-11-07 16:37:04 EST
This macbook was happily running Fedora 22. I needed a bigger partition, and decided to shrink my Mac OS X partition and upgrade Fedora to 23.
Comment 18 John F Sullivan 2016-01-26 20:45:33 EST
Another user experienced a similar problem:

Minimal installation of Fedora 23 with the VM guest agents.

KVM-based virtual machine with 30GB virtio storage.

Single partition formatted as LVM PV
Volume group has the following logical volumes:
f23-boot:  1GB, ext4
f23-root:  5GB, btrfs, label fs-f23-root, subvol f23-root
f23-tmp: 1GB, btrfs, label fs-f23-tmp, subvol f23-tmp
f23-var: 5GB, btrfs, label fs-f23-var, subvol f23-var
f23-var-log: 1GB, btrfs, label fs-f23-var-log, subvol f23-var-log
f23-var-log-audit: 1GB, btrfs, label fs-f23-var-log-audit, subvol f23-var-log-audit
f23-var-tmp: 1GB, btrfs, label fs-f23-var-tmp, subvol f23-var-tmp
home: 1GB, btrfs, label fs-home, subvol home
swap: 5GB, swap

Installation proceeded until the bootloader configuration in the post-install process, then the installer displayed an error indicating the bootloader could not be fully installed and that the system would not be bootable.

I reset the system and reproduced the behavior with my next installation attempt.

addons:         com_redhat_kdump
cmdline:        /usr/bin/python3  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=vmlinuz initrd=initrd.img inst.stage2=hd:UUID=b3ffe1ae-16cd-4af1-8c30-9b8abfe5bb75:/images/install.img inst.repo=hd:UUID=b3ffe1ae-16cd-4af1-8c30-9b8abfe5bb75:/ inst.stage2=hd:UUID=b3ffe1ae-16cd-4af1-8c30-9b8abfe5bb75 rd.live.check quiet
hashmarkername: anaconda
kernel:         4.2.3-300.fc23.x86_64
package:        anaconda-23.19.10-1
product:        Fedora
reason:         pyanaconda.bootloader.BootLoaderError: failed to write boot loader configuration
release:        Cannot get release name.
version:        23
Comment 19 John F Sullivan 2016-01-26 21:04:15 EST
In my case, the following messages appear in the program-log:

20:57:01,970 INFO program: /sbin/grub2-set-default: line 32: basename: command not found
20:57:01,970 DEBUG program: Return code: 0
20:57:01,970 INFO program: Running... grub2-mkconfig -o /boot/grub2/grub.cfg
20:57:01,979 INFO program: /sbin/grub2-mkconfig: line 42: basename: command not found
20:57:01,980 DEBUG program: Return code: 127

Could it be that the minimal installation doesn't install the 'basename' program, thereby making the GRUB installation fail?  I'm going to try again tomorrow and enable the option to install tools that extend minimal functionality in hopes that this option installs the 'basename' program and allows installation to finish.
Comment 20 Bas Cuppen 2016-02-24 05:28:06 EST
Another user experienced a similar problem:

During standard install, alongside a rescaled Windows 8.1 partition, using automated partitioning. Only adjusted the /home to 50G

cmdline:        /usr/bin/python3  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=/syslinux/vmlinuz0 root=live:LABEL=LIVE ro rd.live.image quiet rhgb
hashmarkername: anaconda
kernel:         4.2.3-300.fc23.x86_64
other involved packages: python3-libs-3.4.3-5.fc23.x86_64
package:        anaconda-core-23.19.10-1.fc23.x86_64
product:        Fedora
reason:         pyanaconda.bootloader.BootLoaderError: failed to write boot loader configuration
release:        Fedora release 23 (Twenty Three)
version:        23

Note You need to log in before you can comment on or make changes to this bug.